<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateBotanicVarietiesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('botanic_varieties', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('specie_id')->unsigned()->nullable();
            $table->string('specie_name', 50)->nullable();
            $table->string('name', 100)->nullable();
            $table->text('description', 65535)->nullable();
            $table->string('range', 50)->nullable();
            $table->string('category', 50)->nullable();
            $table->string('life_duration', 50)->nullable();
            $table->string('packaging', 50)->nullable();
            $table->string('unit', 50)->nullable();
            $table->string('characteristics', 50)->nullable();
            $table->string('nutrition_quality', 50)->nullable();
            $table->string('production_quality', 50)->nullable();
            $table->string('size', 50)->nullable();
            $table->string('maturity', 50)->nullable();
            $table->string('rusticity', 50)->nullable();
            $table->string('color', 50)->nullable();
            $table->string('usage', 50)->nullable();
            $table->string('pot_culture', 50)->nullable();
            $table->string('color_type', 50)->nullable();
            $table->string('plant', 50)->nullable();
            $table->text('description_2', 65535)->nullable();
            $table->text('genre', 65535)->nullable();
            $table->text('specie_latin')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('botanic_varieties');
    }
}
